import { Component, OnInit } from '@angular/core';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {
  color = 'orange';
  titre = "Bienvenue dans l'application de gestion des Assignments !";
  desactive = true;
  nomDevoir = "";
  dateRendu?:Date;
  assignmentSelectionne?:Assignment;

  assignments:Assignment[] = [
    {
      nom: 'Devoir Angular pour Mr Buffa',
      dateDeRendu: new Date('2021-12-12'),
      rendu: false,
    },
    {
      nom: 'Devoir MachineLearning pour Mr Pasquier',
      dateDeRendu: new Date('2021-12-01'),
      rendu: false,
    },
    {
      nom: 'Devoir WebComponents pour Mr Buffa',
      dateDeRendu: new Date('2021-09-20'),
      rendu: true,
    },
  ];

  constructor() {}

  ngOnInit(): void {
    // appelé après la construction du composant
    setTimeout(() => {
      this.desactive = false;
    }, 2000);
  }

  getColor(a: any) {
    return a.rendu ? "green" : "red";
  }

  onSubmit(event:any) {
    console.log("bouton cliqué ! Formulaire soumis");
    const newAssignment =new Assignment();
    newAssignment.nom = this.nomDevoir;
    newAssignment.dateDeRendu = this.dateRendu;
    newAssignment.rendu = false;

    this.assignments.push(newAssignment);
  }

  assignmentClique(assignment:Assignment) {
    this.assignmentSelectionne = assignment;
  }
}
